#pragma once
#include "TaskBase.h"
#include "Overseer.h"

class ScoutTask : public TaskBase {
public:
	ScoutTask(Overseer* ov);

	virtual bool canInitialize();
	virtual bool execute();
	virtual void monitor();
	virtual bool isExecuting();
	virtual bool isFinished();
	virtual bool isInitialized();
	virtual void setTargetBase(BaseModel* b);
	virtual UnitType getBuildType() { return type; };
private:


protected:

};